Subject: Re: ghostscript on Windows and cygwin path style
From: Nev Bis <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 20 Nov 2003 10:22:20 -0800 (PST)

Thank you very much for your help and prompt response.

Now gs responds correctly to this command from
cygwin's command prompt:

gs /c/somefile.ps

But the problem is that xfig specifies the output file
to be /tmp/somefile.pix.
gs tries to look for a \tmp directory and does not
realize that this is /c/cygwin/tmp, so I get the
following error

AFPL Ghostscript 8.11: **** Could not open the file
\tmp\somefile.pcx
Error: /invalidfileaccess in --.outputpage--

Thanks,
Nevine

----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Nev Bis" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, November 20, 2003 12:58 PM
Subject: Re: ghostscript on Windows and cygwin path
style

> On Thu, 20 Nov 2003, Nev Bis wrote:
> 
> > I have cygwin version 1.32 running on Windows XP
Pro.
>                         ^^^^
> FYI, there is no such version.  Your cygcheck.out
shows version 1.3.22.
> The latest is 1.5.5.  I'd recommend upgrading.
> 
> > I have ghostscript 8.11 installed in
> > C:\gs\gs8.11\bin. Under this same directory, I
have a
> > file called "gs", containing this line:
> >
> > gswin32c $*
> >
> > I also have XFree86 installed and xfig 3.2.4
> >
> > Xfig has a problem invoking gs to convert a eps
file
> > into pcx. The problem
> > appears to be that gs does not recognize the path
> > style. In fact when I
> > invoke gs from the bash shell with a file under
the
> > working directory, it
> > works fine. But when I call it this way
> >
> > gs /c/directory/somefile.ps
> >
> > I get this error from ghostscript
> >
> > /undefinedfilename in ( /c/directory/somefile.ps)
> >
> > What should I do?
> >
> > Thanks,
> > Nevine
> 
> Try changing your "gs" file to
> 
> #!/bin/sh
> PARAMS=""
> for i in "$@"; do
>   PARAMS="$PARAMS '`cygpath -w -- "$i"`'"
> done
> eval "set -- $PARAMS"
> gswin32c "$@"
> 
> and see if it helps.
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski,
Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a
JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between
your mentor and his route
> to the bathroom is a major career booster."  --
Patrick Naughton

__________________________________
Do you Yahoo!?
Free Pop-Up Blocker - Get it now
http://companion.yahoo.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/